<!DOCTYPE html>
<html>
    <head>
        <title>
            Creación de Páginas Web Nivel 2
        </title>
        <link rel="stylesheet" type="text/css" href="css/index_style.css"/>
        <link  rel="stylesheet" href="https://fonts.googleapis.com/css?family=Karla:400,400i,700,700i&ampdisplay=swap">
    </head>
    <body>
        <div id="whole">
            <div id="upper">
                <h1>
                    CREACIÓN DE PÁGINAS WEB NIVEL 2
                </h1>
            </div>
            <div id="middle">
                <div id="lateral">
                    <center>
                        <h5>
                            TABLA DE CONTENIDO
                        </h5> 
                    </center>
                    <ul>
                        <li>
                            <a href="#presentacion">
                                Presentación
                            </a>
                        </li>
                        <li>
                            <a href="#repaso">
                                Repaso de HTML y CSS
                            </a>
                        </li>
                        <li>
                            <a href="#Herramientas">
                                Herramientas
                            </a>
                        </li>
                        <li>
                            <a href="#historia">
                                Historia de Javascript
                            </a>
                        </li>
                    </ul>
                </div>
                <div id="main">
                    <h2>
                        SESIÓN 1: REPASO DE HTML E INTRODUCCIÓN A JAVASCRIPT
                    </h2>
                    
                    <h3 id="presentacion">
                        Presentación
                    </h3>
                    <img src="images/sesion_01-001.jpg" width="100%" alt="Presentación">
                    
                    <h3 id="repaso">
                        Repaso de HTML y CSS
                    </h3>
                    <p>
                        Este es un repaso del curso <a href="https://bivl2ab.gitlab.io/pvd-courses-2019/creacion-web-1/creacion-web-1_curso_2019" target="_blank">Creación de Páginas Web Nivel 1</a>.
                    
                    <h3 id="herramientas">
                        Herramientas
                    </h3>
                    <p>
                        Para crear un archivo de javascript, el cual se guarda con la extensión <b>.js</b>, se puede usar cualquier editor de texto, como por ejemplo el 
                        <i>bloc de notas</i> que viene incluido con los sistemas operativos de Windows, o <i>gedit</i> para Ubuntu.

                    <p>
                        A continuación se presenta una lista de enlaces para descargar algunos editores de texto avanzados.
                    <ul>
                        <li>
                            <a href="https://www.sublimetext.com/" target="_blank">
                                Sublime Text
                            </a>
                        </li>
                        <li>
                            <a href="https://notepad-plus-plus.org/download/v7.6.6.html" target="_blank">
                                Notepad++
                            </a>
                        </li>
                    </ul>
                    <p>
                        Estos editores mejorados tienen la ventaja de que hacen la escritura del código HTML más fácil y práctico.
                    <p>
                        El editor recomendado para este curso, es el <b>Sublime text</b> en su versión portable. para descargarlo, haga click <a href="https://download.sublimetext.com/Sublime%20Text%20Build%203207%20x64.zip">AQUÍ</a>.
                    <h3 id="historia">
                        Historia de Javascript
                    </h3>
                    <p align="justify">
                        Con unas aplicaciones web cada vez más complejas y una velocidad de navegación tan lenta, surgió la necesidad de un lenguaje de programación que se ejecutara en el navegador del usuario. De esta forma, si el usuario no rellenaba correctamente un formulario, no se le hacía esperar mucho tiempo hasta que el servidor volviera a mostrar el formulario indicando los errores existentes.
                    <p align="justify">
                        <b>Brendan Eich</b>, un programador que trabajaba en Netscape, pensó que podría solucionar este problema adaptando otras tecnologías existentes (como ScriptEase) al navegador Netscape Navigator 2.0, que iba a lanzarse en 1995. Inicialmente, Eich denominó a su lenguaje LiveScript.Posteriormente, Netscape firmó una alianza con Sun Microsystems para el desarrollo del nuevo lenguaje de programación. Además, justo antes del lanzamiento Netscape decidió cambiar el nombre por el de <b>JavaScript</b>. La razón del cambio de nombre fue exclusivamente por marketing, ya que Java era la palabra de moda en el mundo informático y de Internet de la época.
                    <p align="center">
                    <img src="images/sesion_01-002.jpg" width="50%" alt="Brendan Eich">
                    <p align="justify">
                        La primera versión de JavaScript fue un completo éxito y Netscape Navigator 3.0 ya incorporaba la siguiente versión del lenguaje, la versión 1.1. Al mismo tiempo, Microsoft lanzó JScript con su navegador Internet Explorer 3. JScript era una copia de JavaScript al que le cambiaron el nombre para evitar problemas legales. Para evitar una guerra de tecnologías, Netscape decidió que lo mejor sería estandarizar el lenguaje JavaScript. De esta forma, en <b>1997</b> se envió la especificación JavaScript 1.1 al organismo <i>ECMA</i> (European Computer Manufacturers Association). ECMA creó el comité <i>TC39</i> con el objetivo de "estandarizar de un lenguaje de script multiplataforma e independiente de cualquier empresa". El primer estándar que creó el comité TC39 se denominó ECMA-262, en el que se definió por primera vez el lenguaje ECMAScript.
                    <p align="justify">
                        Por este motivo, algunos programadores prefieren la denominación ECMAScript para referirse al lenguaje JavaScript. De hecho, JavaScript no es más que la implementación que realizó la empresa Netscape del estándar ECMAScript.
                    <p align="justify">
                        La organización internacional para la estandarización (ISO) adoptó el estándar ECMA-262 a través de su comisión IEC, dando lugar al estándar ISO/IEC-16262.
                </div>
            </div>
            <div id="footer">
                Página creada por Víctor Alfonso Mantilla Villamizar. 2019<br>Correo electrónico: vmantillav@gmail.com
            </div>
        </div>
    </body>
</html>
